use crate::components::achievement_reveal_time::AchievementRevealTime;
use yew::functional::*;
use yew::prelude::*;
use yew_router::prelude::*;

#[function_component]
pub fn AchievementRevealTimes() -> Html {
    let nav = use_navigator().expect("cannot get navigator");
    let app_state = use_context::<crate::AppState>().expect("no app state ctx found");

    let achievements = app_state
        .state
        .achievements
        .iter()
        .cloned()
        .enumerate()
        .map(|(idx, a)| (idx + 1, a))
        .map(|(n, a)| {
            html! {
                <AchievementRevealTime number={n} achievement={a} />
            }
        })
        .collect::<Html>();

    html! {
      <>
      <h1>{"Achievement Timed Reveals"}</h1>
      <hr />
      {achievements}
      </>
    }
}
